Start typing to search.

API Reference

Update a task

View Markdown
PUT /api/tasks/{id}

Updates task metadata and/or creates a new version if yaml_content is provided.

Operation IDupdateTask

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Request body

This request body is required.

Content typeapplication/json

requestobject
5 properties
namestring
descriptionstring
yaml_contentstring
connector_refsarray<string>
Array items
itemstring
change_summarystring

Success response body

200Task updated with current YAML content

Task updated with current YAML content

Content typeapplication/json

responseobject
8 properties
idinteger
namestring
descriptionstring | null
current_versioninteger
statusstring
created_atstring · date-time
updated_atstring · date-time
current_yamlstring | null

Error responses

400Validation error

Validation error

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "VALIDATION_ERROR",
  "message": "Invalid input"
}

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}